/*
 * Copyright (C) 2005-2006 mark307
 * See Copyright Notice in COPYING.LUA
 */

#ifndef KMENV_H
#define KMENV_H

lua_Integer get_kmenv(lua_State *, const char *);
void set_kmenv(lua_State *, const char *, lua_Integer);

#define get_hwnd(L) ((HWND) get_kmenv(L, "hwnd"))
#define set_hwnd(L, hwnd) (set_kmenv(L, "hwnd", (lua_Integer) (hwnd)))

#define get_parentinstance(L) ((HINSTANCE) get_kmenv(L, "hParentInstance"))
#define set_parentinstance(L, hinst) (set_kmenv(L, "hParentInstance", (lua_Integer) (hinst)))

#define get_dllinstance(L) ((HINSTANCE) get_kmenv(L, "hDllInstance"))
#define set_dllinstance(L, hinst) (set_kmenv(L, "hDllInstance", (lua_Integer) (hinst)))

#endif /* KMENV_H */
