-- Domain Completion
-- This is compatible with macro version.
--[[

for accel.cfg

%ifplugin luamacros
CTRL VK_RETURN = luamacros(domComplete0)
CTRL ALT VK_RETURN = luamacros(domComplete1)
CTRL SHIFT VK_RETURN = luamacros(domComplete2)
%endif

]]

local dc = "kmeleon.plugins.macros.domComplete"
function DCgo(n)
	local prefix = km.getpref(TYPE_STRING, dc..tostring(n)..".prefix")
	local suffix = km.getpref(TYPE_STRING, dc..tostring(n)..".suffix")
	local url = km.GetGlobalVar(TYPE_STRING, "URLBAR")
	if url and url ~= "" then
		url = (prefix or "") .. url .. (suffix or "")
		km.SetGlobalVar(TYPE_STRING, "URLBAR", url)
		km.id("ID_NAV_GO")
	end
end
function domComplete0() DCgo(0); end
function domComplete1() DCgo(1); end
function domComplete2() DCgo(2); end
