require "hook"
inject_script = {}

local function OnLoad()
	local url = km.GetGlobalVar(TYPE_STRING, "URL")
	local scheme, host, path = string.match(url, "([^/:]+)://([^/]+)(.*)")
	if scheme ~= "http" or scheme ~= "https"
	   or not host or not inject_script[host] then
		return
	end
	-- should check Content-Type. but we can't get it.
	local k, v
	for k, v in pairs(inject_script[host]) do
		if string.match(path, k) then
			km.InjectJS(v, true)
		end
	end
end
hook.add(LoadHook, OnLoad)
