test = {}

local target = {}

function target.variables()
	alert(PREFPATH .. "\r\n" .. LIBPATH, "PATH", MB_OK);
end

function target.plugin()
	plugin("bookmarks", "Edit")
end

function target.pluginmsg()
	pluginmsg("utils", "exec", "notepad.exe", 10)
end

function target.pluginmsgex()
	alert(pluginmsgex("utils", "GetOSVer", "Platform", TYPE_STRING))
	alert(pluginmsgex("utils", "GetOSVer", TYPE_STRING))
end

function target.NavigateTo()
	NavigateTo("about:", OPEN_NORMAL)
end

function target.GetDocInfo()
	local title, url = GetDocInfo()
	alert(title .. "\r\n" .. url)
end

function target.getpref()
	alert(tostring(getpref(TYPE_BOOL, "kmeleon.plugins.luamacros.load"))
	      .."\r\n"..
	      getpref(TYPE_INT, "browser.cache.memory.capacity")
	      .."\r\n"..
	      getpref(TYPE_STRING, "kmeleon.general.settingsDir"))
end

function target.setpref()
	local pref = "kmeleon.plugins.luamacros.test"
	setpref(TYPE_BOOL, pref .. "b", true)
	alert(tostring(getpref(TYPE_BOOL, pref .. "b")))
	delpref(pref .. "b")
	
	setpref(TYPE_INT, pref .. "i", 65535)
	alert(getpref(TYPE_INT, pref .. "i"))
	delpref(pref .. "i")
	
	setpref(TYPE_STRING, pref .. "s", "testing")
	alert(getpref(TYPE_STRING, pref .. "s"))
	delpref(pref .. "s")
	
	alert(tostring(getpref(TYPE_BOOL, pref .. "b")))
	alert(getpref(TYPE_INT, pref .. "i"))
	alert(getpref(TYPE_STRING, pref .. "s"))
end

function target.SetStatusBar()
	SetStatusBarText("testing...")
end

function target.GetGlobalVar()
	alert(GetGlobalVar(TYPE_STRING, "URL"))
end

function target.SetCheck()
	SetCheck("ID_EDIT_CUT", true)
	SetCheck(GetID("ID_EDIT_COPY"), true)
end

function target.id()
	id("ID_OFFLINE")
end

function target.confirm()
	confirm("confirm")
	confirm("confirm", "title")
	confirm("confirm", "title", BUTTONS_ABORTRETRYIGNORE)
	confirm("confirm", "title", BUTTONS_ABORTRETRYIGNORE, ICON_STOP)
end

function target.exec()
	exec("calc.exe")
	exec("notepad.exe", 10000)
end

if KMEL_PLUGIN_VER and KMEL_PLUGIN_VER > 514 then

function target.getfolder()
	alert(
		GetFolder(RootFolder).."\r\n"..
		GetFolder(DefSettingsFolder).."\r\n"..
		GetFolder(UserSettingsFolder).."\r\n"..
		GetFolder(ProfileFolder).."\r\n"..
		GetFolder(PluginsFolder).."\r\n"..
		GetFolder(UserPluginsFolder).."\r\n"..
		GetFolder(SkinsFolder).."\r\n"..
		GetFolder(UserSkinsFolder).."\r\n"..
		GetFolder(ResFolder).."\r\n"..
		GetFolder(CurrentSkinFolder)
	)
end

function target.getwindowvar()
	alert(
		GetWindowVar(Window_UrlBar).."\r\n"..
		GetWindowVar(Window_Charset).."\r\n"..
		GetWindowVar(Window_Title).."\r\n"..
		GetWindowVar(Window_TextZoom).."\r\n"..
		GetWindowVar(Window_URL).."\r\n"..
		GetWindowVar(Window_SelectedText).."\r\n"..
		GetWindowVar(Window_LinkURL).."\r\n"..
		GetWindowVar(Window_ImageURL).."\r\n"..
		GetWindowVar(Window_FrameURL)
	)
end

function target.setwindowvar()
	SetWindowVar(Window_UrlBar, "http://sourceforge.net/projects/k-meleon/")
end

end

function test()
	local t = {}
	local k, v
	for k, v in pairs(target) do
		table.insert(t, k)
	end
	i, v = choose("test", "test", unpack(t))
	if v then
		target[v]()
	end
end
