/*
 * Copyright (C) 2005-2006 mark307
 * See Copyright Notice in COPYING.LUA
 */
/*
 * Lua Userdata String
 */
#ifndef LUAUT_H
#define LUAUT_H
#if defined(__cplusplus)
extern "C" {
#endif

typedef struct {
	const char *name;
	lua_Integer value;
} lut_IntReg;

char *lut_tostring(lua_State *, int);
char *lut_checkstring(lua_State *, int);
char *lut_optstring(lua_State *, int, const char *);
void lut_registint(lua_State *, const lut_IntReg *, int);

#if defined(__cplusplus)
}
#endif
#endif /* LUAUT_H */
