if not KMEL_PLUGIN_VER or KMEL_PLUGIN_VER < 514 then
	function CopyAsLink()
		local old, new, var, url, title
		title, url = km.GetDocInfo()
		old = km.getclipboard()
		km.id("ID_EDIT_COPY")
		new = km.getclipboard()
		if old == new then
			km.setclipboard(title .. "\r\n" .. url .. "\r\n")
		else
			km.setclipboard(title .. "\r\n" .. url .. "\r\n> " .. new .. "\r\n")
		end
	end
else
	function CopyAsLink()
		local url, title, sel
		title, url = km.GetDocInfo()
		sel = km.GetGlobalVar(TYPE_STRING, "SelectedText")
		if sel and sel ~= "" then
			km.setclipboard(title .. "\r\n" .. url .. "\r\n> " .. sel .. "\r\n")
		else
			km.setclipboard(title .. "\r\n" .. url .. "\r\n")
		end
	end
end
